Create a Group

Creates a new empty group

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Returns the new group object. This endpoint will create an empty group. You can use the Update an user or Create a new user endpoints to add users to the group by providing a Group Key. You can't assign a client and a user the same Group Key.

The following are the examples of HTTP status codes including errors that API can generate

Response codesResponse contentDescription
200 OKA group objectThe group has been created successfully.
400 Bad RequestClients is not availableYou need the 'Clients' feature to be enabled for your account to create a group of type'Client'.
400 Bad RequestThe Name cannot be emptyThe field "Name" cannot be empty.
400 Bad RequestInvalid group type:"Incorrect Type"The 'Type' parameter that was specified is invalid.
400 Bad RequestAttribute not found, Key=112A team attribute wasn't found.
400 Bad RequestSeconds level is not availableYou need the "SecondsLevel" feature to be enabled for your account.
Body Params
string
required

Name of the group

string
required
Defaults to User

The type of the group

int32
Defaults to 10

Maximum number of users/clients allowed for the group.

boolean
Defaults to false

Is this group enabled?

boolean
Defaults to false

Is seconds level enabled in dates in this group?

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain